Skip to content

Create Asynchronous Speech Synthesis Task V2

POST https://www.kkiai.com/minimax/v1/t2a_async_v2

https://platform.minimaxi.com/docs/api-reference/speech-t2a-async-create

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-Typeenum<string>RequiredThe media type of the request body. Must be set to application/json to ensure the request data is in JSON formatapplication/json

Request Example

json
{
    "model": "speech-02-hd",
    "text": "The real danger is not that computers begin to think like humans, but that humans begin to think like computers.",
    "voice_setting": {
        "voice_id": "moss_audio_ce44fc67-7ce3-11f0-8de5-96e35d26fb85",
        "speed": 1,
        "vol": 1,
        "pitch": 0
    }
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/minimax/v1/t2a_async_v2' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "speech-02-hd",
    "text": "The real danger is not that computers begin to think like humans, but that humans begin to think like computers.",
    "voice_setting": {
        "voice_id": "moss_audio_ce44fc67-7ce3-11f0-8de5-96e35d26fb85",
        "speed": 1,
        "vol": 1,
        "pitch": 0
    }
}'

Response

🟢200

Response Example

json
{
    "task_id": "95157322514444",
    "task_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
    "file_id": 95157322514444,
    "usage_characters": 101,
    "base_resp": {
        "status_code": 0,
        "status_msg": "success"
    }
}